//! INes 2.0 Format implementation

pub struct INesRom {}

struct INesHeader {
    prg_rom_size: u16,
    chr_rom_size: u16,
    flag_6: u8,
    flag_7: u8,
    mapper: u8,
    sub_mapper: u8,
    prg_ram_size: u8,
    prg_nvram_size: u8,
    chr_ram_size: u8,
    cpu_trainer: CpuTimingMode,
    misc_rom_count: u8,
    default_expansion_device: u8, // vs_ppu_type: u8,
                                  // vs_hardware_type: u8,
}

#[repr(u8)]
enum CpuTimingMode {
    NTSC = 0,
    PAL = 1,
    Multiple = 2,
    Dendy = 3,
}

union CpuSystemType {
    vs_system_type: VsSystemType,
    extended_console_type: u8,
}

struct VsSystemType {
    ppu_type: u8,
    hardware_type: u8,
}
